QGIS Application - Feature request #3619
[FEATURE] Extended tooltips for tool bars
2011-03-15 03:22 AM - Nathan Woodrow

Status: Open

Priority: Low

Assignee: Nathan Woodrow

Category: Documentation and Help

Pull Request or Patch supplied: Resolution:

Easy fix?: No Copied to github as #: 13678
Description

Attached is a patch that | have been working on that adds more information to most tool tips to explain what the tool does. | think this
would be good for new users to qgis. See image for example.

http://i.imgur.com/M5li9.png

| have done most of the main ones but will work on more over time.

History

#1 - 2011-03-15 04:33 AM - Borys Jurgiel

Two remarks:

1. | believe the first change in the diff (add a QToolBar) is a mistake?

2. I'd move styles outside the strings (though I'm not sure how to do it - does widget css support also tooltips?). Translating these strings would be very

unpleasant.

#2 - 2011-03-15 11:36 AM - Werner Macho

I'm with Borys..

There are some "bugs" in the diff..

Whats line 434-439 or 459-462

And of course - It will be hard to translate them with all this styles inside .. Is it really necessary? Did you style that yourself or did you only enter the text?

#3 - 2011-03-15 11:45 AM - Borys Jurgiel

| believe the rich text edit in Designer does it. Unfortunately Linguist doesn't support it.

#4 - 2011-03-15 11:54 AM - Werner Macho

In http://developer.qt.nokia.com/wiki/Qt_Creator_Translation_Page you can read:

In Qt 4.7, ALWAYS use the source tab of the Designer rich text editor and verify that you do not get unneeded HTML annotation created by the automatic
conversion from the rich text editor tab. Reason being that it contains a lot of stylesheet information and hard-coded fonts that look bad on other platforms
and are almost impossible to translate in Linguist (which does not have an HTML editor).
http://developer.qt.nokia.com/wiki/Qt_Creator_Translation_Page

Qt Designer 4.8 has a feature simplifying the rich text (on by default), still, you should verify by looking at the source tab.

So we all gotta wait for Qt4.8 to use it - and still have to be careful ..

#5 - 2011-03-15 01:39 PM - Nathan Woodrow

Bugger. | suspected the translation thing might be an issue but didn't really know how to test it.

I'll work on it and see what | can do. I'll fix the other bugs too.

#6 - 2011-12-16 01:48 PM - Giovanni Manghi
- Target version changed from Version 1.7.0 to Version 1.7.4

#7 - 2012-02-02 01:53 PM - Jiirgen Fischer
- Assignee changed from Tim Sutton to Nathan Woodrow

- Pull Request or Patch supplied set to No

#8 - 2012-04-15 10:11 AM - Giovanni Manghi
- Target version changed from Version 1.7.4 to Version 2.0.0

#9 - 2012-10-06 02:35 AM - Pirmin Kalberer
- Target version changed from Version 2.0.0 to Future Release - Nice to have

#10 - 2015-11-20 05:33 AM - Médéric RIBREUX

- Status changed from Open to Feedback

Hello, bug triage...

it seems that the tooltips of the majority of QGIS tools are simple tooltips without styling information. They are all (well, a majority of them) correctly
translated.

So what do we do now with this feature request ? Do you think we could have a better tooltip with style (but we have to deal with the translation problem) ?

Or perhaps tooltips should be kept simple and concise (read here ) and this feature request can be closed ?

#11 - 2015-12-22 05:26 AM - Médéric RIBREUX

- Status changed from Feedback to Open

#12 - 2017-05-01 12:50 AM - Giovanni Manghi
- Easy fix? set to No

Files

tooltips.diff 49.6 KB 2011-03-15 Nathan Woodrow
https://doc-snapshots.qt.io/qtcreator-extending/qtcreator-ui-text.html#writing-tooltips

